﻿@model DrzaveViewModel

@{
    ViewData["Title"] = "Popis država";
}

<h1>Popis država</h1>
<p>
    <small>
        Stranica za prikaz država. Postoje funkcionalnosti straničenja i sortiranja. Za svaku je stavku omogućeno uređivanje i brisanje, te je moguće klikom na link ispod teksta dodati novu državu.
    </small>
</p>

<a asp-action="Create">Stvori novu državu</a>

<pager page-info="@Model.PagingInfo" page-title="Unesite željenu stranicu" page-action="Index" class="float-right"></pager>

<table class="table table-sm table-striped table-hover">
    <thead>
        <tr>
            <th>
                <a asp-route-sort="1"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 1 ? !Model.PagingInfo.Ascending : true)">Iso</a>
            </th>
            <th>
                <a asp-route-sort="2"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 2 ? !Model.PagingInfo.Ascending : true)">Naziv</a>
            </th>
            <th></th>
        </tr>
    </thead>

    <tbody>
        @foreach (var drzava in Model.Drzave)
        {
            <tr>
                <td class="text-left">@drzava.Iso</td>
                <td class="text-left">@drzava.Naziv</td>
                <td class="btn-group">
                    <a asp-action="Edit"
                       asp-route-Iso="@drzava.Iso"
                       asp-route-page="@Model.PagingInfo.CurrentPage"
                       asp-route-sort="@Model.PagingInfo.Sort"
                       asp-route-ascending="@Model.PagingInfo.Ascending"
                       class="btn btn-sm" title="Ažuriraj"><i class="fas fa-edit"></i></a>

                    <form asp-action="Delete" method="post"
                          asp-route-page="@Model.PagingInfo.CurrentPage"
                          asp-route-sort="@Model.PagingInfo.Sort"
                          asp-route-ascending="@Model.PagingInfo.Ascending">
                        <input type="hidden" name="Iso" value="@drzava.Iso" />
                        <button type="submit" class="btn btn-sm btn-danger delete" title="Obriši">
                            <i class="fas fa-trash-alt"></i>
                        </button>
                    </form>
                </td>
            </tr>
        }
    </tbody>
</table>